MCP Tools Reference: agentregistry.googleapis.com

Tool: get_binding

Retrieve details of a single binding using its unique resource name.

The following sample demonstrate how to use curl to invoke the get_binding MCP tool.

Curl Request
                  
curl --location 'https://agentregistry.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_binding",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Message for getting a Binding

GetBindingRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The name of the Binding. Format: projects/{project}/locations/{location}/bindings/{binding}.

Output Schema

Represents a user-defined Binding.

Binding

JSON representation
{
  "name": string,
  "displayName": string,
  "description": string,
  "source": {
    object (Source)
  },
  "target": {
    object (Target)
  },
  "createTime": string,
  "updateTime": string,

  // Union field binding can be only one of the following:
  "authProviderBinding": {
    object (AuthProviderBinding)
  }
  // End of list of possible types for union field binding.
}
Fields
name

string

Required. Identifier. The resource name of the Binding. Format: projects/{project}/locations/{location}/bindings/{binding}.

displayName

string

Optional. User-defined display name for the Binding. Can have a maximum length of 63 characters.

description

string

Optional. User-defined description of a Binding. Can have a maximum length of 2048 characters.

source

object (Source)

Required. The target Agent of the Binding.

target

object (Target)

Required. The target Agent Registry Resource of the Binding.

createTime

string (Timestamp format)

Output only. Timestamp when this binding was created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

updateTime

string (Timestamp format)

Output only. Timestamp when this binding was last updated.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

Union field binding. The configuration for the Binding. binding can be only one of the following:
authProviderBinding

object (AuthProviderBinding)

The binding for AuthProvider.

AuthProviderBinding

JSON representation
{
  "authProvider": string,
  "scopes": [
    string
  ],
  "continueUri": string
}
Fields
authProvider

string

Required. The resource name of the target AuthProvider. Format:

  • projects/{project}/locations/{location}/authProviders/{auth_provider}
scopes[]

string

Optional. The list of OAuth2 scopes of the AuthProvider.

continueUri

string

Optional. The continue URI of the AuthProvider. The URI is used to reauthenticate the user and finalize the managed OAuth flow.

Source

JSON representation
{

  // Union field source_type can be only one of the following:
  "identifier": string
  // End of list of possible types for union field source_type.
}
Fields
Union field source_type. The type of the source, currently only supports Agents. Potential future fields include 'tag', etc. source_type can be only one of the following:
identifier

string

The identifier of the source Agent. Format:

  • urn:agent:{publisher}:{namespace}:{name}

Target

JSON representation
{

  // Union field target_type can be only one of the following:
  "identifier": string
  // End of list of possible types for union field target_type.
}
Fields
Union field target_type. The type of the target, currently only supports an AgentRegistry Resource. Potential future fields include 'tag', etc. target_type can be only one of the following:
identifier

string

The identifier of the target Agent, MCP Server, or Endpoint. Format:

  • urn:agent:{publisher}:{namespace}:{name}
  • urn:mcp:{publisher}:{namespace}:{name}
  • urn:endpoint:{publisher}:{namespace}:{name}

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌